<#if editor?? && editor.render??> 
    ${editor.render.code}
<#else>
<input-box 
  :disabled="getColumnDisabled(row,column.property)" 
  v-model="row[column.property]" 
  style="${item.getEditorCssStyle()}"
  type="text"
  <#if editor.getEditorParam("maxlength", "") != "">
  :maxlength='${editor.getEditorParam("maxlength","")}'
  </#if>
  <#if editor.getEditorParam("showWordLimit","") != "">
  :showWordLimit='${editor.getEditorParam("showWordLimit","")}'
  </#if>
  <#if editor.getEditorParam("prepend","") != "">
  prepend='${editor.getEditorParam("prepend","")}'
  </#if>
  <#if editor.getEditorParam("append","") != "">
  append='${editor.getEditorParam("append","")}'
  </#if>
  <#if item.getUnitName?? && item.getUnitName()??>unit="${item.getUnitName()}"</#if>
  <#if item.getPlaceHolder()??>placeholder="${item.getPlaceHolder()}"</#if>
  @focus="($event)=>{gridDetailFocus(row, {name: column.property, value: $event}, $index)}"
  @blur="($event)=>{gridDetailBlur(row, {name: column.property, value: $event}, $index)}"
  @change="($event)=>{gridEditItemChange(row, {name: column.property, value: $event}, $index)}">
</input-box>
</#if>